<?php

class ModelExtensionPaymentSwifinopencart extends Model {
	
    public function getMethod($address) {
		$this->load->language('extension/payment/swifinopencart');

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "zone_to_geo_zone WHERE geo_zone_id = '" . (int)$this->config->get('payment_swifinopencart_geo_zone_id') . "' AND country_id = '" . (int)$address['country_id'] . "' AND (zone_id = '" . (int)$address['zone_id'] . "' OR zone_id = '0')");

        $status = (!$this->config->get('payment_swifinopencart_geo_zone_id') || $query->num_rows) ? true : false;
		
		$currencies = array_keys($this->model_localisation_currency->getCurrencies());

		if (!in_array(strtoupper($this->session->data['currency']), $currencies)) {
			$status = false;
		}

		$method_data = [];

		if ($status) {
			$method_data = [
				'code'       => 'swifinopencart',
				'title'      => $this->language->get('text_title'),
				'terms'      => '',
				'sort_order' => $this->config->get('payment_swifinopencart_sort_order')
			];
		}

		return $method_data;
	}
}
